Bug 388328 - Moving a single event of a serial is ignored
Summary: Moving a single event of a serial is ignored
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: recurrence (show other bugs)
Version: 5.6.3
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-29 15:55 UTC by Andreas
Modified: 2021-03-17 22:40 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas 2017-12-29 15:55:30 UTC
(1)
Create an event with recurrence every month, for example every first day of month.
(2)
Move a single event from the serial some days into the future.
(3)
The event is apparently moved.
(4)
After scrolling the window that single event has jumped back to its original position within the serial.

I'm using an iCal file.
Can do the same thing succesfully with icedove on the same file.


Sincerely,
Andreas
Comment 1 me 2018-03-13 07:14:37 UTC
On KOrganizer 5.7.2 (KDE Neon) I see the same or very similar behavior.
I have several recurring events in my google calendar. If I change one event of the recurrence (I do this mostly on my mobile phone) the event is still on the original date but the date is listed in the exceptions field in the recurrence tab.
So to me everything seems to work as expected except the UI part (the model gets populated with only with the recurring information but doesn't respect exceptions)
Comment 2 Andreas 2018-10-31 09:07:24 UTC
Tis bug still exists. Please fix it.
Comment 3 mullein 2019-07-17 17:04:20 UTC
This bug still seems to exist in KOrganizer 5.11.2.  It seems to be more than just a display issue. I access a calendar via CalDav.  If I move one event out of a recurrence from another client, KOrganizer will move that single event back to the original recurring time.  If the single event in the recurrence is moved from KOrganizer, the event will still be moved back by KOrganizer.  This bug makes KOrganizer somewhat unusable.

Probably the same bug as #294595
Comment 4 mullein 2019-07-17 19:43:30 UTC
Just to add, I think this may be considered "acceptable" functionality, as per: https://userbase.kde.org/KOrganizer#The_time_of_my_recurring_appointment_changes_next_week_-_how_do_I_handle_that.3F

However, this seems to make KOrganizer incompatible with other CalDav clients (I've used four different client softwares to move one event out of a series, and they all work fine with each other).  

A larger problem is that if multiple CalDav calendar clients are compatible with each other, yet KOrganizer fails, then there is a strong motivation not to use any other KDEPIM software.
Comment 5 David de Cos 2019-12-28 20:16:09 UTC
(In reply to mullein from comment #4)

I'm just as frustrated as you are by the problems KOrganizer has with event recurrences. I, too, use several clients (both with Google Calendar and Nextcloud calendar), and they all manage recurrence exceptions flawlessly, except Korganizer.

However, my experience differs slightly from yours: if I move a single event out of a series in an external client, it gets correctly moved in KOrganizer. It's actually one of the few things that work in KOrganizer regarding recurrence (if not the only one).
Comment 6 Andreas 2020-11-03 16:08:32 UTC
Bug is fixed in Debian Sid meanwhile.
Comment 7 Christoph Feck 2020-12-01 21:44:02 UTC
Thanks for the update, Andreas! Changing status.

If you see issues again, please report them.
Comment 8 mullein 2021-03-17 22:40:45 UTC
Was this also fixed upstream?  Or just on Debian Sid?  I'm not really sure why this was closed...